package pathgame.tilemap;

import pathgame.gameplay.Player;

public class TileTown extends Tile
{
    public TileTown()
    {
        super(2, 0.0f, (pa) -> 0, false, false, TileType.LAND, false, false, TileRenderType.NORMAL);
    }

    @Override
    public void onEnter(Player p, TileMap map, int x, int y)
    {
        p.visitTown();
    }

    @Override
    public void onLeave(Player p, TileMap map, int x, int y)
    {
        map.convertTown(x, y);
    }
}
